import xhiveframework


def execute():
	categories = xhiveframework.get_list("Blog Category")
	for category in categories:
		doc = xhiveframework.get_doc("Blog Category", category["name"])
		doc.set_route()
		doc.save()
